//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Help_SinglePlay.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm8 *Form8;
//---------------------------------------------------------------------------
__fastcall TForm8::TForm8(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm8::Button1Click(TObject *Sender)
{
        Form8->Close();        
}
//---------------------------------------------------------------------------
void __fastcall TForm8::LoadSinglePlayExecute(TObject *Sender)
{
        AnsiString a;
        a = "Elo Rating\n\n";
        a = a + "In order to calculate the probability considering the result of a single game, an objective measure for a team's strength is";
        a = a + " needed. Such a measure was invented (originally for chess) by the Hungarian-American statistician A. Elo.\n";
        a = a + "This method can also be applied on football. Current Elo coefficients (i.e. team's strenghth) that are calculated on the basis of this";
        a = a + " procedure can be found on http://www.elo-ratings.net. ";
        a = a + "Using the Elo ratings Elo(a) and Elo(b), the probability that team a will beat team b in a KO round can thus be calculated as follows:\n\n";
        a = a + "Win(a) = 1 / (1 + 10^( (Elo(b)-Elo(a)) / 400 ))\n\n";
        a = a + "For home plays, the Elo coefficient is (automatically) increased by 100.\n\n";
        a = a + "Plays with remis\n\n";
        a = a + "The above formula yields the mean expectation of a play. In a tournament KO round, this is identical to the win probability of team a. ";
        a = a + "Most plays, however offer also the possibility of a remis. (In fact, 25% of the preliminary plays in the last World Cups resulted in remis.)\n";
        a = a + "In order to calculate probabilities with remis, two scenarios are considered: The KO round scenario of above and a \"maximum remis\" scenario with the maximum remis probability still in accordance with the Elo formula.";
        a = a + "For the latter scenario, the probabilities are calculated as follows:\n\n";
        a = a + "Win(a, without remis) >= 0.5: Lose(a) = 0; Remis(a) = 2 - 2 Win(a, without Remis); Win(a) = 1 - Remis(a)\n";
        a = a + "Win(a, without remis) < 0.5: Win(a) = 0; Remis(a) = 2 Win(a, without Remis); Lose(a) = 1 - Remis(a)\n\n";
        a = a + "In order to match the observed results, the two scenarios are summed up with weighting factors of 0.6 (KO round) and 0.4 (maximal remis).\n\n";

	RichEdit1->Text = a;

}
//---------------------------------------------------------------------------

